<?php

namespace WilokeFlipbox\Controllers\SelectPostTypes;

use Elementor\Base_Control;
use WilokeFlipbox\Share\PostTypeHelper;

class SelectPostTypes extends Base_Control
{
	private string $ctrlId = "wil-list-post-type";

	public function getPostTypeOptions(): array
	{
		return PostTypeHelper::getOptions();
	}

	public function get_type()
	{
		return WILOKE_WILOKEFLIPBOX_NAMESPACE . $this->ctrlId;
	}

	public function enqueue()
	{
		wp_enqueue_style(
                WILOKE_WILOKEFLIPBOX_NAMESPACE . $this->ctrlId . '_style',
			WILOKE_WILOKEFLIPBOX_VIEWS_URL . 'src/Controllers/SelectPostTypes/SelectPostTypes.css',
			[],
			WILOKE_WILOKEFLIPBOX_VERSION
		);
	}

	public function content_template()
	{
		?>

        <div class="elementor-control elementor-control-type-divider elementor-control-separator-before"></div>

        <div class="wil-mb-15">
            <label class="elementor-control-title">{{{data.label }}}</label>

            <# if ( data.description ) { #>
            <div class="elementor-control-field-description">{{{data.description}}}
            </div>
            <# } #>
        </div>

        <# if ( data.multiple ) { #>
        <div class="elementor-control-field wil-mb-15">
            <label class="elementor-control-title"><?php echo esc_html__('Post Types',
					'wiloke-flipbox'); ?></label>
            <div class="elementor-control-input-wrapper elementor-control-unit-5">
                <select id="<?php echo esc_attr($this->ctrlId); ?>"
                        multiple
                        name="<?php echo esc_attr($this->ctrlId); ?>"
                        class="<?php echo esc_attr($this->ctrlId); ?> wil-width-100 wil-min-height-50">
					<?php foreach ($this->getPostTypeOptions() as $key => $value): ?>
                        <option value="<?php echo esc_attr($key); ?>">
							<?php echo esc_html($value); ?>
                        </option>
					<?php endforeach; ?>
                </select>
            </div>
        </div>
        <# } else { #>
        <div class="elementor-control-field wil-mb-15">
            <label class="elementor-control-title">
				<?php echo esc_html__('Post Type', 'wiloke-flipbox'); ?>
            </label>
            <div class="elementor-control-input-wrapper elementor-control-unit-5">
                <select id="<?php echo esc_attr($this->ctrlId); ?>"
                        name="<?php echo esc_attr($this->ctrlId); ?>"
                        class="<?php echo esc_attr($this->ctrlId); ?> wil-width-100">
					<?php foreach ($this->getPostTypeOptions() as $key => $value): ?>
                        <option value="<?php echo esc_attr($key); ?>">
							<?php echo esc_html($value); ?>
                        </option>
					<?php endforeach; ?>
                </select>
            </div>
        </div>
        <# } #>

        <div class="elementor-control elementor-control-type-divider elementor-control-separator-after"></div>
		<?php

	}
}